﻿using DotNetCore.CAP;
using MediatR;
using Microsoft.Extensions.Logging;
using Sharing.Orders;

namespace Sharing.Application
{
    /// <summary>
    /// 热线消息订阅
    /// </summary>
    public class HotlineMsgReceiver : ICapSubscribe
    {
        private readonly IDataOrderRepository _dataOrderRepository;
        private readonly IMediator _mediator;
        private readonly ILogger<HotlineMsgReceiver> _logger;

        public HotlineMsgReceiver(IDataOrderRepository dataOrderRepository, IMediator mediator, ILogger<HotlineMsgReceiver> logger)
        {
            _dataOrderRepository = dataOrderRepository;
            _mediator = mediator;
            _logger = logger;
        }

        //[CapSubscribe(Hotline.Share.Mq.EventNames.HotlineOrderCreated)]
        //public async Task ReceiveOrderCreatedAsync(OrderDto dto, CancellationToken cancellationToken)
        //{
        //    //todo receive mq msg, write into db, publish inprocess msg
        //    _logger.LogInformation("rec order");

        //    await _dataOrderRepository.AddAsync(new DataOrder(), cancellationToken);

        //    await _mediator.Publish(new OrderCreatedNotification(new DataOrder()), cancellationToken);
        //    _logger.LogInformation("publish order success!");
        //}
    }

}
