﻿using Microsoft.Extensions.Options;
using XF.Domain.Dependency;

namespace Sharing
{
    public class ChannelConfigurationManager : IChannelConfigurationManager, IScopeDependency
    {
        private readonly IOptionsSnapshot<ChannelConfiguration> _channelOption;

        public ChannelConfigurationManager(IOptionsSnapshot<ChannelConfiguration> channelOption)
        {
            _channelOption = channelOption;
        }

        public ConfigurationProvince GetConfigurationProvince()
        {
            return _channelOption.Value.Province;
        }
    }
}
