﻿using SqlSugar;
using System.ComponentModel;
using XF.Domain.Repository;

namespace Sharing.Province.Extend
{
    /// <summary>
    ///  四川政务服务网技术工单
    /// </summary>
    [Description("四川政务服务网技术工单")]
    public class FormNetWorktec : FullStateEntity
    {
        /// <summary>
        /// 扩展主表ID  
        /// </summary>
        [SugarColumn(ColumnDescription = "扩展主表ID", ColumnDataType = "varchar(50)")]
        public string RCEId { get; set; }

        /// <summary>
        /// 政务服务网账号  
        /// </summary>
        [SugarColumn(ColumnDescription = "政务服务网账号", ColumnDataType = "varchar(50)", IsNullable = true)]
        public string ZwfwAccount { get; set; }

        /// <summary>
        /// 联系方式  
        /// </summary>
        [SugarColumn(ColumnDescription = "联系方式", ColumnDataType = "varchar(200)", IsNullable = true)]
        public string LinkPeson { get; set; }
    }
}
