﻿using SqlSugar;
using System.ComponentModel;
using XF.Domain.Repository;

namespace Sharing.Province.Extend
{
    /// <summary>
    ///电视台虚假广告工单
    /// </summary>
    [Description("电视台虚假广告工单")]
    public class FormShamPub : FullStateEntity
    {
        /// <summary>
        /// 扩展主表ID  
        /// </summary>
        [SugarColumn(ColumnDescription = "扩展主表ID", ColumnDataType = "varchar(50)")]
        public string RCEId { get; set; }

        /// <summary>
        /// 电视台  
        /// </summary>
        [SugarColumn(ColumnDescription = "电视台", ColumnDataType = "varchar(50)", IsNullable = true)]
        public string SubjectName { get; set; }

        /// <summary>
        ///产品名称
        /// </summary>
        [SugarColumn(ColumnDescription = "产品名称", ColumnDataType = "varchar(200)", IsNullable = true)]
        public string ProductName { get; set; }

        /// <summary>
        /// 虚假广告内容
        /// </summary>
        [SugarColumn(ColumnDescription = "虚假广告内容", ColumnDataType = "text", IsNullable = true)]
        public string PubContent { get; set; }
    }
}
