﻿using Sharing.Province.HuiJu;
using SqlSugar;
using System.ComponentModel;

namespace Sharing.Province.XieTong.Knowledge
{
    /// <summary>
    /// 知识库下架    
    /// </summary>
    [Description("知识库下架")]
    public class GetKnowledgeInfoAbandon : SendBaseResult
    {
        /// <summary>
        /// 知识类别code
        /// </summary>
        [SugarColumn(ColumnDescription = "知识类别code", ColumnDataType = "varchar(50)")]
        public string CategoryCode { get; set; }

        /// <summary>
        /// 知识类别名称
        /// </summary>
        [SugarColumn(ColumnDescription = "知识类别名称", ColumnDataType = "varchar(50)")]
        public string CategoryName { get; set; }

        /// <summary>
        /// 上报知识唯一标识
        /// </summary>
        [SugarColumn(ColumnDescription = "上报知识唯一标识", ColumnDataType = "varchar(50)")]
        public string UID { get; set; }
    }
}
