﻿using SqlSugar;
using System.ComponentModel;

namespace Sharing.Province.XieTong.Receive
{
    /// <summary>
    /// 上报工单评价
    /// </summary>
    [Description("上报工单评价")]
    public class GetVisitInfoSend : BaseResult
    {
        /// <summary>
        /// 回访评价方式
        /// </summary>
        [SugarColumn(ColumnDescription = "回访评价方式", ColumnDataType = "varchar(50)")]
        public string VisitType { get; set; }

        /// <summary>
        /// 回访人
        /// </summary>
        [SugarColumn(ColumnDescription = "回访人", ColumnDataType = "varchar(200)")]
        public string VisitName { get; set; }

        /// <summary>
        /// 回访时间
        /// </summary>
        [SugarColumn(ColumnDescription = "回访时间")]
        public DateTime? VisitTime { get; set; }

        /// <summary>
        /// 回访评价情况
        /// </summary>
        [SugarColumn(ColumnDescription = "回访评价情况", ColumnDataType = "varchar(1000)")]
        public string VisitRemark { get; set; }

        /// <summary>
        /// 回访结果满意度
        /// </summary>
        [SugarColumn(ColumnDescription = "回访结果满意度", ColumnDataType = "varchar(4)")]
        public string SubjectResultSatify { get; set; }
    }
}
