﻿using SqlSugar;
using System.ComponentModel;

namespace Sharing.Province.XieTong.Receive
{
    /// <summary>
    /// 交办工单满意度接收
    /// </summary>
    [Description("交办工单满意度接收")]
    public class SendCaseEvlResult : BaseProvinceResult
    {
        /// <summary>
        /// 评价时间
        /// </summary>
        [SugarColumn(ColumnDescription = "评价时间")]
        public DateTime? ReplyTime { get; set; }

        /// <summary>
        /// 评价内容
        /// </summary>
        [SugarColumn(ColumnDescription = "评价内容", ColumnDataType = "text")]
        public string ReplyContent { get; set; }

        /// <summary>
        /// 结果满意度
        /// </summary>
        [SugarColumn(ColumnDescription = "结果满意度", ColumnDataType = "varchar(2)")]
        public string ResultEvl { get; set; }

        /// <summary>
        /// 作风满意度
        /// </summary>
        [SugarColumn(ColumnDescription = "作风满意度", ColumnDataType = "varchar(2)")]
        public string StyleEvl { get; set; }
    }
}
