﻿using SqlSugar;
using System.ComponentModel;

namespace Sharing.Province.XieTong.Receive
{
    /// <summary>
    /// 服务工单预警
    /// </summary>
    [Description("服务工单预警")]
    public class SendWarnInfo : BaseProvinceResult
    {
        /// <summary>
        /// 预警规则
        /// </summary>
        [SugarColumn(ColumnDescription = "预警规则", ColumnDataType = "varchar(50)")]
        public string WarnRulename { get; set; }

        /// <summary>
        /// 规则明细
        /// </summary>
        [SugarColumn(ColumnDescription = "规则明细", ColumnDataType = "varchar(200)")]
        public string WarnDescribe { get; set; }

        /// <summary>
        /// 预警应处理时间
        /// </summary>
        [SugarColumn(ColumnDescription = "预警应处理时间")]
        public DateTime? WarnTimebf { get; set; }

        /// <summary>
        /// 预警等级
        /// </summary>
        [SugarColumn(ColumnDescription = "预警等级", ColumnDataType = "varchar(50)")]
        public string WarnDegree { get; set; }

        /// <summary>
        /// 预警类型
        /// </summary>
        [SugarColumn(ColumnDescription = "预警类型", ColumnDataType = "varchar(50)")]
        public string WarnType { get; set; }

        /// <summary>
        /// 预警时间
        /// </summary>
        [SugarColumn(ColumnDescription = "预警时间")]
        public DateTime? WarnDate { get; set; }
    }
}
