﻿using Sharing.Province.HuiJu;
using SqlSugar;
using System.ComponentModel;

namespace Sharing.Province.XieTong.Send
{
    /// <summary>
    /// 服务工单申请延时    
    /// </summary>
    [Description("服务工单申请延时")]
    public class DelayCaseInfoSend : BaseSendAllResult
    {
        /// <summary>
        /// 申请延期数量
        /// </summary>
        [SugarColumn(ColumnDescription = "申请延期数量")]
        public int ApplyDelaynum { get; set; }

        /// <summary>
        /// 申请延期单位（工作日或工作小时）
        /// </summary>
        [SugarColumn(ColumnDescription = "申请延期单位（工作日或工作小时）")]
        public int ApplyDelayunit { get; set; }

        /// <summary>
        /// 申请人员
        /// </summary>
        [SugarColumn(ColumnDescription = "申请人员", ColumnDataType = "varchar(50)")]
        public string ApplyName { get; set; }

        /// <summary>
        /// 申请时间
        /// </summary>
        [SugarColumn(ColumnDescription = "申请时间")]
        public string ApplyTime { get; set; }

        /// <summary>
        /// 申请部门
        /// </summary>
        [SugarColumn(ColumnDescription = "申请部门", ColumnDataType = "varchar(200)")]
        public string ApplyOuname { get; set; }

        /// <summary>
        /// 申请原因
        /// </summary>
        [SugarColumn(ColumnDescription = "申请原因", ColumnDataType = "varchar(1000)")]
        public string ApplyReason { get; set; }

        /// <summary>
        /// 申请类型
        /// </summary>
        [SugarColumn(ColumnDescription = "申请类型", ColumnDataType = "varchar(10)")]
        public string ApplyType { get; set; }
    }
}
