﻿using Sharing.Province.HuiJu;
using SqlSugar;
using System.ComponentModel;

namespace Sharing.Province.XieTong.Send
{
    /// <summary>
    /// 退回申请   
    /// </summary>
    [Description("退回申请")]
    public class GetCaseBackApply : BaseSendAllResult
    {
        /// <summary>
        /// 办理操作
        /// </summary>
        [SugarColumn(ColumnDescription = "办理操作", ColumnDataType = "varchar(10)")]
        public string BackType { get; set; }

        /// <summary>
        /// 办理单位
        /// </summary>
        [SugarColumn(ColumnDescription = "办理单位", ColumnDataType = "varchar(200)")]
        public string DealDept { get; set; }

        /// <summary>
        /// 办理人员
        /// </summary>
        [SugarColumn(ColumnDescription = "办理人员", ColumnDataType = "varchar(200)")]
        public string DealName { get; set; }

        /// <summary>
        /// 申请退回时间
        /// </summary>
        [SugarColumn(ColumnDescription = "申请退回时间")]
        public DateTime? ApplyTime { get; set; }

        /// <summary>
        /// 退回原因
        /// </summary>
        [SugarColumn(ColumnDescription = "退回原因", ColumnDataType = "text")]
        public string BackReason { get; set; }
    }
}
