﻿using Sharing.Province.HuiJu;
using SqlSugar;
using System.ComponentModel;

namespace Sharing.Province.XieTong.Send
{
    /// <summary>
    /// 政民互动提交公开    
    /// </summary>
    [Description("政民互动提交公开")]
    public class ZMHDCaseInfoPublic : SendOrderResult
    {
        /// <summary>
        /// 部门答复时间
        /// </summary>
        [SugarColumn(ColumnDescription = "部门答复时间")]
        public DateTime? ANSWER_TIME { get; set; }

        /// <summary>
        /// 答复部门名称
        /// </summary>
        [SugarColumn(ColumnDescription = "答复部门名称", ColumnDataType = "varchar(100)")]
        public string ANSWER_OU { get; set; }

        /// <summary>
        /// 答复内容
        /// </summary>
        [SugarColumn(ColumnDescription = "答复内容", ColumnDataType = "text")]
        public string ANSWER_CONTENT { get; set; }

        /// <summary>
        /// 初审人姓名
        /// </summary>
        [SugarColumn(ColumnDescription = "初审人姓名", ColumnDataType = "varchar(100)")]
        public string AUDIT_FIRST_NAME { get; set; }

        /// <summary>
        /// 初审时间
        /// </summary>
        [SugarColumn(ColumnDescription = "初审时间")]
        public DateTime? AUDIT_FIRST_TIME { get; set; }

        /// <summary>
        /// 二审人姓名
        /// </summary>
        [SugarColumn(ColumnDescription = "二审人姓名", ColumnDataType = "varchar(100)")]
        public string AUDIT_SECOND_NAME { get; set; }

        /// <summary>
        /// 公开时间
        /// </summary>
        [SugarColumn(ColumnDescription = "公开时间")]
        public DateTime? PUBLISH_DATE { get; set; }

        /// <summary>
        /// 公开意见
        /// </summary>
        [SugarColumn(ColumnDescription = "公开意见", ColumnDataType = "varchar(300)")]
        public string PUBLIC_OPINION { get; set; }
    }
}
