﻿using Mapster;
using Microsoft.Extensions.DependencyInjection;
using Sharing.Application.Mappers;

namespace Sharing.Application
{
    public static class ApplicationStartupExtensions
    {
        public static IServiceCollection AddApplication(this IServiceCollection services)
        {
            TypeAdapterConfig.GlobalSettings.Scan(typeof(MapperConfigs).Assembly);
            return services;
        }
    }
}
