﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XF.Domain.Repository;

namespace Sharing.Province.Domain
{
    /// <summary>
    /// 工单数据，推送省平台记录
    /// </summary>
    public class DataOrderProvincePush : FullStateEntity
    {
        /*
     工单id	工单编号	上传省工单编号	省编号	受理时间	第一次工单同步省平台时间	工单上传间隔（s）	工单是否及时上传	同步诉求渠道	最新应办结时间	最新工单同步省平台时间	第一次结果同步时间	
    最新同步答复时间	最新结果同步时间	第一次评价同步时间	最新同步评价时间	最新评价同步时间	第一次工单满意度	最新满意度	同步诉求类型	办理时长	是否为省工单
     */
        public string DataOrderId { get; set; }

        /// <summary>
        /// 推送时间
        /// </summary>
        public DateTime PushTime { get; set; }

        /// <summary>
        /// 省平台接收时间（保存省平台返回数据）
        /// </summary>
        public DateTime ReceiveTime { get; set; }


    }
}
