﻿using System.Text.Json.Serialization;

namespace Sharing.Province.Dtos.Extend
{
    /// <summary>
    /// 12366投诉表单
    /// </summary>
    public class FormTaxationComplaintInfo
    {
        /// <summary>
        /// 主管税务机关（问题归属地）  
        /// </summary>
        [JsonPropertyName("TAX_AUTHORITY")]
        public string TaxAuthority { get; set; }

        /// <summary>
        /// 被投诉单位或个人信息  
        /// </summary>
        [JsonPropertyName("COMPLAINT_SUBJECT")]
        public string ComplaintSubject { get; set; }

        /// <summary>
        /// 投诉类型  
        /// </summary>
        [JsonPropertyName("COMPLAINT_TYPE")]
        public string ComplaintType { get; set; }
    }
}
