﻿namespace Sharing.Province.Dtos;

public class ProvinceResponse
{
    public BaseProvinceResponse ReturnInfo { get; set; }
}

/// <summary>
/// 省接口返回
/// </summary>
public class BaseProvinceResponse
{
    public string Code { get; set; }

    public string Description { get; set; }
}

public class Reponse
{
    public int Code { get; set; }

    public string Description { get; set; }

    public static Reponse Success(string? description = "")
    {
        return new Reponse
        {
            Code = 1,
            Description = (description ?? "您已成功提交数据！")
        };
    }

    public static Reponse Failed(string? description = "")
    {
        return new Reponse
        {
            Description = (description ?? "接口调用失败！")
        };
    }
}

