﻿using System.Text.Json.Serialization;

namespace Sharing.Province.Dtos.XieTong.Receive
{
    public class SupplyCaseInfoRequest
    {
        /// <summary>
        /// 
        /// </summary>
        public ClientInfo token { get; set; }

        /// <summary>
        /// 服务工单
        /// </summary>
        public DelayCaseResultModel paras { get; set; }

    }
    /// <summary>
    /// 服务工单交办补充诉求
    /// </summary>
    public class SupplyCaseInfoModel : BaseModel
    {
        /// <summary>
        /// 补充人员
        /// </summary>
        [JsonPropertyName("SUPPLY_NAME")]
        [MDisplayName("补充人员")]
        [VRequired]
        [VStringLength(0, 200)]
        public string SupplyName { get; set; }

        /// <summary>
        /// 补充时间
        /// </summary>
        [JsonPropertyName("SUPPLY_TIME")]
        [MDisplayName("补充时间")]
        [VRequired]
        public DateTime? SupplyTime { get; set; }

        /// <summary>
        /// 补充内容
        /// </summary>
        [JsonPropertyName("SUPPLY_CONTENT")]
        [MDisplayName("补充内容")]
        [VRequired]
        public string SupplyContent { get; set; }
    }
}
