﻿using IdentityModel.Client;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;
using XF.Domain.Exceptions;

namespace Sharing.Extensions
{
    public static class HttpClientExtensions
    {
        public static HttpClient SetBaseAddress(this HttpClient httpClient, string baseAddress)
        {
            if (string.IsNullOrEmpty(baseAddress))
                throw new UserFriendlyException("无效 base address");
            httpClient.BaseAddress = new Uri(baseAddress);
            return httpClient;
        }
    }
}
