﻿using SqlSugar;
using System.ComponentModel;
using XF.Domain.Repository;

namespace Sharing.Province.Extend
{
    /// <summary>
    /// 四川省12366热线咨询交办单
    /// </summary>
    [Description("四川省12366热线咨询交办单")]
    public class FormTaxationConsulting : FullStateEntity
    {
        /// <summary>
        /// 扩展主表ID  
        /// </summary>
        [SugarColumn(ColumnDescription = "扩展主表ID", ColumnDataType = "varchar(50)")]
        public string RCEId { get; set; }

        /// <summary>
        /// 主管税务机关（问题归属地）  
        /// </summary>
        [SugarColumn(ColumnDescription = "主管税务机关（问题归属地）", ColumnDataType = "varchar(500)", IsNullable = true)]
        public string TaxAuthority { get; set; }

        /// <summary>
        /// 被投诉单位或个人信息  
        /// </summary>
        [SugarColumn(ColumnDescription = "被投诉单位或个人信息", ColumnDataType = "varchar(200)", IsNullable = true)]
        public string ComplaintSubject { get; set; }
    }
}
