﻿using Sharing.Province.HuiJu;
using SqlSugar;
using System.ComponentModel;

namespace Sharing.Province.XieTong.Send
{
    /// <summary>
    /// 工单发起甄别接   
    /// </summary>
    [Description("工单发起甄别")]
    public class ScreenCaseInfoSend : BaseSendAllResult
    {
        /// <summary>
        /// 申请人员
        /// </summary>
        [SugarColumn(ColumnDescription = "申请人员", ColumnDataType = "varchar(50)")]
        public string ApplyName { get; set; }

        /// <summary>
        /// 申请时间
        /// </summary>
        [SugarColumn(ColumnDescription = "申请时间")]
        public DateTime? ApplyTime { get; set; }

        /// <summary>
        /// 申请部门
        /// </summary>
        [SugarColumn(ColumnDescription = "申请部门", ColumnDataType = "varchar(200)")]
        public string ApplyOuName { get; set; }

        /// <summary>
        /// 申请原因
        /// </summary>
        [SugarColumn(ColumnDescription = "申请原因", ColumnDataType = "varchar(1000)")]
        public string ApplyReason { get; set; }

        /// <summary>
        /// 申请人员
        /// </summary>
        [SugarColumn(ColumnDescription = "申请类型", ColumnDataType = "varchar(10)")]
        public string ApplyType { get; set; }
    }
}
