﻿using Sharing.Province.HuiJu;
using SqlSugar;
using System.ComponentModel;

namespace Sharing.Province.XieTong.Send
{
    /// <summary>
    /// 上报补充诉求
    /// </summary>
    [Description("上报补充诉求")]
    public class SupplyCaseInfoSend : BaseSendAllResult
    {
        /// <summary>
        /// 补充人员
        /// </summary>
        [SugarColumn(ColumnDescription = "补充人员", ColumnDataType = "varchar(200)")]
        public string SupplyName { get; set; }

        /// <summary>
        /// 补充时间
        /// </summary>
        [SugarColumn(ColumnDescription = "补充时间")]
        public DateTime? SupplyTime { get; set; }

        /// <summary>
        /// 补充内容
        /// </summary>
        [SugarColumn(ColumnDescription = "补充内容", ColumnDataType = "text")]
        public string SupplyContent { get; set; }
    }
}
